# Uses of Interface
javax.validation.metadata.ConstraintDescriptor

Packages that use ConstraintDescriptor
Package
Description
javax.validation
javax.validation.metadata

## Uses of ConstraintDescriptor in javax.validation

Methods in javax.validation that return ConstraintDescriptor
Modifier and Type
Method
Description
`ConstraintDescriptor<?>`
ConstraintViolation.`getConstraintDescriptor()`
`ConstraintDescriptor<?>`
MessageInterpolator.Context.`getConstraintDescriptor()`

## Uses of ConstraintDescriptor in javax.validation.metadata

Methods in javax.validation.metadata that return types with arguments of type ConstraintDescriptor
Modifier and Type
Method
Description
`Set<ConstraintDescriptor<?>>`
ConstraintDescriptor.`getComposingConstraints()`
`Set<ConstraintDescriptor<?>>`
ElementDescriptor.ConstraintFinder.`getConstraintDescriptors()`
`Set<ConstraintDescriptor<?>>`
ElementDescriptor.`getConstraintDescriptors()`